/** \file
 *
 * buffers.h
 *
 * Header file for the buffers (ethernet and ARPlist)
 *
 * @version $Id: buffers.h,v 1.3 2005/08/08 10:11:03 fritz Exp $
 * @author oalt
 */

#ifndef BUFFERS_H
#define BUFFERS_H

#include "globtype.h"

#define MTU						576+14
#define ARPLISTSIZE			10
#define RCVLISTSIZE			5

typedef struct slip_rcv
{
  byte data[MTU];
  unsigned int length;
  struct slip_rcv* next;
}IPRCVle;

typedef struct arpentr{
  byte ip[4];
  byte ha[6];
  byte age;
  struct arpentr* next;
}ARPentry;

// prototypes
void initBuffers();
void ARPtimeint(void);

#endif // BUFFERS_H
