/** \file
 *
 * dos.h
 *
 * This file defines the IO Port access functions
 *
 * @author  oalt
 * @version $Id: dos.h,v 1.2 2005/08/01 16:49:54 fritz Exp $
 */
 
#include "globtype.h"

void outport(word portid, word value);
void outportb(word portid, byte value);
word inport(word portid);
byte inportb(word portid);
 
#define inp(portid)			inportb(portid)
#define inpw(portid)		inport(portid)
#define outp(portid, v)		outportb(portid, v)
#define outpw(portid, v)	outport(portid, v)
