/**
 *
 * eib.h
 *
 * Header file for EIB frame functions
 *
 * @version $Id: eib.h,v 1.1 2005/07/17 16:57:41 fritz Exp $
 * @author oalt
 *
 */

#ifndef EIB_H
#define EIB_H

#include "globtype.h"
#include "cemi.h"

typedef struct
{
  byte ctrl;
  byte saddr_h;
  byte saddr_l;
  byte daddr_h;
  byte daddr_l;
  byte ll_length;
  byte tpci;
  byte apci;
  byte data[16];
}EIBFRAME;



// prototypes


void  initEIBframe(EIBFRAME* ef, byte priority, word sadr, word destadr, 
                   byte daf, byte service_type, byte* data, byte length);


byte getFrameLen(EIBFRAME* frame);



#endif // EIB_H
