// **    THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU MICROELECTRONICS     **
// ** ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR OMMISSIONS **
// *************************************************************************
// *
// *  PROJECT:        any
// *
// *  DESCRIPTION:    global typedefs
// *
// *
// *  JR 14.07.99 V1.0
// *  (C) Fujitsu Mikroelektronik GmbH
// **************************************************************************

/** \file
 *
 * globtype.h
 * global type definitions
 * This file is common for all MCU's
 *
 * @version $Id: globtype.h,v 1.3 2005/08/04 13:58:53 fritz Exp $
 */

#ifndef GLOBTYPE_H
#define GLOBTYPE_H


typedef unsigned char 	byte;
typedef unsigned short 	word;
typedef unsigned long	dword;

// for compability with avr
typedef byte uint8_t;
typedef short int int8_t;
typedef unsigned int uint16_t;
typedef int int16_t;
typedef unsigned long uint32_t;
// true/false defines
#define FALSE	0
#define TRUE	-1


#define	BIT0(byte_word)	byte_word & 0x0001
#define	BIT1(byte_word)	(byte_word >> 1) & 0x0001
#define	BIT2(byte_word)	(byte_word >> 2) & 0x0001
#define	BIT3(byte_word)	(byte_word >> 3) & 0x0001
#define	BIT4(byte_word)	(byte_word >> 4) & 0x0001
#define	BIT5(byte_word)	(byte_word >> 5) & 0x0001
#define	BIT6(byte_word)	(byte_word >> 6) & 0x0001
#define	BIT7(byte_word)	(byte_word >> 7) & 0x0001
#define	BIT8(byte_word)	(byte_word >> 8) & 0x0001
#define	BIT9(byte_word)	(byte_word >> 9) & 0x0001
#define	BIT10(byte_word)	(byte_word >> 10) & 0x0001
#define	BIT11(byte_word)	(byte_word >> 11) & 0x0001
#define	BIT12(byte_word)	(byte_word >> 12) & 0x0001
#define	BIT13(byte_word)	(byte_word >> 13) & 0x0001
#define	BIT14(byte_word)	(byte_word >> 14) & 0x0001
#define	BIT15(byte_word)	(byte_word >> 15) & 0x0001
#define	BIT(byte_word,nr)	(byte_word >> nr) & 0x0001

#endif // GLOBTYPE_H
