/** \file
 *
 * uartapi.h
 *
 * Header file for UART functions
 *
 * @version $Id: uartapi.h,v 1.2 2005/07/17 19:05:07 fritz Exp $
 * @author oalt
 */

#include "globtype.h" 

// hardware dependend function prototypes
void initUART(int port, int baud, int bit, int parity, int stop);
void initUARTir(int port);
void sendUARTbyte(int port, byte b);
byte getUARTbyte(int port);

// hardware independend function prototypes
void sendUARTstring(int port, char * Name2);
void sendUARThex(int port, byte b);
void sendUARTihex(int port, int i);
void sendUARTnumber(int port, int number, int base);
void getUARTstring(int port, char * str);
void printfUART(int port, char * fstring, ...);
