/** \file
 *
 * cs8900.h
 *
 * Header file for CS8900A with some usefull defines
 *
 * @author  oalt
 * @version $Id: cs8900.h,v 1.2 2005/08/01 16:49:54 fritz Exp $
 *
 */

#ifndef CS8900_H
#define CS8900_H

#include "globtype.h"

#define IO_BASE 	0x0300
#define PP_POINTER	0x000a
#define PP_DATA		0x000c
#define TX_CMD		0x0004
#define TX_LENGTH	0x0006
#define SKIP		0040


void framesend(byte* destaddr, byte* srcaddr, byte* proto,
							 byte* data, word datalen);

						 
#endif // CS8900_H							 