/* mmc.h
 * Connect AVR to MMC/SD
 * adapted to Fujitsu MC by Fritz Praus
 *
 * Copyright (C) 2004 Ulrich Radig
 **/
#include "globtype.h"
#include "config.h"

#ifndef _MMC_H_
#define _MMC_H_



//Prototypes
byte Read_Byte_MMC(void);
void Write_Byte_MMC(byte);

void MMC_Read_Block(byte *,byte *,unsigned int);
byte mmc_init(void);
byte mmc_read_sector (unsigned long,byte *);
byte mmc_write_sector (unsigned long,byte *);
byte Write_Command_MMC (byte *);
byte Read_CSD_MMC (byte *);
byte Read_CID_MMC (byte *);
int MMC_GetCI();
int MMC_GetWP();

//set MMC_Chip_Select to high (MMC/SD-Karte Inaktiv)
#define MMC_Disable() MMC_Chip_Select=1;

//set MMC_Chip_Select to low (MMC/SD-Karte Aktiv)
#define MMC_Enable() MMC_Chip_Select=0;

#define nop()  asm("\tNOP");

#endif //_MMC_H_


