/** \file
 *
 * slip.h
 *
 * @version $Id: slip.h,v 1.1 2005/07/17 16:57:41 fritz Exp $
 * @author oalt
 */

#include "globtype.h"

// SLIP special character codes    
#define SLIP_END             0300    /* 0xC0 indicates end of packet */
#define SLIP_ESC             0333    /* 0xDB indicates byte stuffing */
#define SLIP_ESC_END         0334    /* 0xDC ESC ESC_END means END data byte */
#define SLIP_ESC_ESC         0335    /* 0xDD ESC ESC_ESC means ESC data byte */

 
// prototypes
void slip_connect(void);
void slip_send(byte *p, int len);
int  slip_rcv(byte *p, int len);
