/** \file
 *
 * udp.h
 *
 * Header file for UDP
 *
 * @version $Id: udp.h,v 1.2 2005/08/06 23:07:19 fritz Exp $
 * @author  oalt
 *
 */
 
#ifndef UDP_H
#define UDP_H

#include "ip.h"


// UDP
typedef struct
{
  byte udp_sport_h;
  byte udp_sport_l;
  byte udp_dport_h;
  byte udp_dport_l;
  byte udp_length_h;
  byte udp_length_l;
  byte udp_chksum_h;
  byte udp_chksum_l;
} UDPHEADER;

typedef struct
{
  byte udp_sport_h;
  byte udp_sport_l;
  byte udp_dport_h;
  byte udp_dport_l;
} UDPHDATA;

// protypes

void udpmanager(byte *rcvdata, word datalen);
void udpsend(word datalen, UDPHDATA udphd, IPHDATA iphd);
void udpsenddata(byte *data, word datalen, UDPHDATA *udph, IPHDATA *iphd);

#endif // UDP_H