/** \file
 *
 *
 * helper.c
 * 
 * @version $Id: helper.c,v 1.1 2005/08/05 19:15:04 fritz Exp $
 * @author fpraus
 */

#include "helper.h"
#include "config.h"

/**
 * returns 1 if bytes match dword
 * 0 if not
 **/
int equal(dword w,byte highest, byte high, byte low, byte lowest) {
	//split shifts.otherwise weird things happen
	// EXTREME CARE WHEN SHIFTING!!!
	byte temp;

	temp = w & 0x000000FF;
	if (lowest == temp) {
		temp = (w & 0x0000FF00)>>8;
		if (low == temp) {
			temp = (w & 0x00FF0000)>>16;
			if (high == temp) {
				temp = (w & 0xFF000000)>>24;
				if (highest == temp) {
					return -1;
				}
			}
		}
	}

	return 0;
}