/** \file
 *
 * http.c
 *
 * Implementierung eines http Servers.
 *
 * @version $Id: http.c,v 1.8 2005/08/08 16:12:29 fritz Exp $
 * @author fpraus
 */
#include "http.h"
#include "tcp.h"
#include "config.h"
#include "stddef.h"
#include "buffers.h"

extern byte send[MTU];
extern TCPCON con;

/**
 * HTTP Server.
 * Wird durch den tcpmanager() aufgerufen
 */
void httpserver(byte * rcvdata, word rcvdatalen) {
/*
const byte* htmlanswer=(const byte *)"\
HTTP/1.0 200\r\n\r\n\
<html>\
<head><title>Little Fritzchen</title></head>\
\
<body  bgcolor=\"white\">\
<h1><font color=\"red\">\
Fujitsu MB90F394H</font> embedded Web Sever ! <br> \
<form action=\"index.html\"></h1><hr>\
<h2>Testinterface L_Data_Req KNX Network</h2>\
<br><br>\
\
<table border=\"1\">\
	<tr>\
		<td>\
			Destination Address (decimal)\
		</td>\
		<td>\
			Type\
		</td>\
		<td>\
			Value\
		</td>\
	<tr>\
		<td>\
			<input type=\"text\" name=\"daddr\" size=\"10\">\
		</td>\
		<td>\
			<input type=\"radio\" name=\"daf\" value=\"1\">Group<br>\
			<input type=\"radio\" name=\"daf\" value=\"0\">Individual<br>\
		</td>\
		<td>\
			<input type=\"radio\" name=\"value\" value=\"128\">On<br>\
			<input type=\"radio\" name=\"value\" value=\"129\">Off<br>\
		</td>\
	</tr>\
</table>\
<input type=\"submit\" value=\"send\">\
</form> \
<br><br><br>\
<hr> &copy; 2004 Fritz Praus\
</body>\
</html>";
*/

const byte* htmlanswer=(const byte *)"\
HTTP/1.0 200\r\n\r\n\
<html>\
</html>";

	word cnt=0;
	word pagelen=0;
	char *pos=NULL;
	char *opos=NULL;
	char temp[10]={0};
  
	word daddr=0;
	byte daf=1;
	byte value=0;
	int len=0;

/*
	pos=(char *)strchr((char *)rcvdata,'?');
  
	if (pos!=NULL) {
		// some parameter received
  
		while (pos!=NULL) {
			len=0;
			memset(temp,0,10);
		
			pos++;

			// extract parameters
			if (strncmp(pos,"daddr",5)==0) {
				// daddr found
				pos=pos+6;
				opos=pos;
				
				while ((*pos!='&') & (*pos!=NULL) & (len<5)) {
					len++;
					pos++;
				}
				strncpy(temp,opos,len);

				daddr=strtoul(&temp[0],NULL,10);

			}
			else if (strncmp(pos,"daf",3)==0) {
				// daf found
				pos=pos+4;
				opos=pos;
				
				while ((*pos!='&') & (*pos!=NULL) & (len<2)) {
					len++;
					pos++;
				}
				strncpy(&temp[0],opos,len);
				
				daf=strtoul(&temp[0],NULL,10);
			}
			else if (strncmp(pos,"value",5)==0) {
				// value found
				pos=pos+6;
				opos=pos;
				
				while ((*pos!='&') & (*pos!=NULL) & (len<4)) {
					len++;
					pos++;
				}
				strncpy(&temp[0],opos,len);
				
				value=strtoul(&temp[0],NULL,10);

			}
			else {
				//ignore parameter
				pos++;
			}
		
		
			pos=(char *)strchr(pos,'&');
		
		}

		//printfUART(UART_DEBUG,"%x%x %x %x\r", daddr>>8,daddr&0xFF,daf,value);

		
	}
	
*/
  
  pagelen=strlen((char*)htmlanswer);


	printfUART(UART_DEBUG,"pagelen:%x\r\n", pagelen);
	
  for(cnt=120; cnt<120+strlen((char*)htmlanswer); cnt++)
  {
    send[cnt]=htmlanswer[cnt-120];
  }
      
  printfUART(UART_DEBUG,"calling tcpsend\r\n");
  tcpsend(rcvdata,pagelen,0x11,&con);
  con.tcpstate=CLOSE_WAIT;
  

}

